/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import '../../../css/general_styling.scss';
@import '../../../css/variables.scss';

.WrapperModalLogin {
  display: inline-block;
}

.ModalLogin {
  width: 470px;

  .ant-modal-content {
    border-radius: 10px !important;
  }

  .ant-modal-body {
    padding: 2.5em 2.5em;
    border-radius: 10px;
  }

  .TitlePage h1 {
    font-weight: bold !important;
    font-size: 24px;
    text-align: center;
  }

  .Linear {
    margin: 2em 0 0.5em;

    hr {
      width: 38%;
      margin: 0;
      border: 0.5px solid $border;
    }

    p {
      @include primary-text($medium, $on-surface-medium, 400);
      margin: 0 1em;
      width: 25%;
      text-align: center;
    }
  }

  .ant-form-item {
    margin-bottom: 0.5em;
  }

  .ant-btn.Primary {
    width: 100%;
    margin-top: 1em;
  }

  .ant-form-item-label label {
    font-size: 14px !important;
    font-weight: bold !important;
  }

  .ant-form-item-label label::after {
    display: none;
  }

  .link {
    justify-content: center;
    border-top: 1px solid $border;
    padding: 0.5em;
    margin-top: 1em;
  }
}
